This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 477471

Summary: [tuxpaint] Please convert to new font packaging guidelines
Product: [Fedora] Fedora Reporter: Nicolas Mailhot <nicolas.mailhot>
Component: tuxpaintAssignee: Jon Ciesla <limburgher>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fonts-bugs, jreznik, limburgher, paul, steve, sven
Target Milestone: ---Keywords: FutureFeature, Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-01-07 15:58:14 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 477336, 481009    
Bug Blocks: 477044    

Description Nicolas Mailhot 2008-12-20 19:41:57 EST
This bug has been filed because we've detected your package includes one or several font files:                                                                                                                                                             repoquery -C --repoid=rawhide -f '*.ttf' -f '*.otf' -f '*.pfb' -f '*.pfa' --qf='%{SOURCERPM}\n' |sed -e 's+-[0-9.-]*\.fc[123456789]\(.*\)src.rpm++g'|sort|uniq                                                                                                                                                             Unfortunately the script does not detect symlinks to other packages, so if that's your case, you can close this bug report now.                                                                                                                                                              Otherwise, you should know that:                                                                                                                                                              - Fedora guidelines demand the packaging of fonts in a separate package or subpackage: http://fedoraproject.org/wiki/Packaging/Guidelines#Avoid_bundling_of_fonts_in_other_packages                                                                                - our font packaging guidelines recently changed, and every package that ships fonts must be adapted to the new templates available in the fontpackages-devel package. http://fedoraproject.org/wiki/PackagingDrafts/Fonts_packaging_automation_(2008-11-18) http://fedoraproject.org/wiki/Fedora_fonts_policy_package http://fedoraproject.org/wiki/Simple_fonts_spec_template http://fedoraproject.org/wiki/Fonts_spec_template_for_multiple_fonts                                                                                                                                                              Please make your package conform to the current guidelines in rawhide.                                                                                                                                                             If your package is not principaly a font package, depending on a separate font package or subpackage is the prefered solution. If your application does not use fontconfig you can always package symlinks to the files provided by the font package and installed in the correct fontconfig directories.                                                                                                                                                              It is preferred to make a font package or subpackage per font family, though it is not currently a hard guidelines requirement (it may become before Fedora 11 is released). The definition of a font family is given on http://fedoraproject.org/wiki/Fonts_spec_template_notes/font-family                                                                                                                                                              The new templates should make the creation of font subpackages easy and safe.                                                                                                                                                              The following packages have already been converted and can serve as examples: - andika-fonts - apanov-heuristica-fonts - bitstream-vera-fonts - charis-fonts - dejavu-fonts - ecolier-court-fonts - edrip-fonts - gfs-ambrosia-fonts - gfs-artemisia-fonts - gfs-baskerville-fonts - gfs-bodoni-classic-fonts - gfs-bodoni-fonts - gfs-complutum-fonts - gfs-didot-classic-fonts - gfs-didot-fonts - gfs-eustace-fonts - gfs-fleischman-fonts - gfs-garaldus-fonts - gfs-gazis-fonts - gfs-jackson-fonts - gfs-neohellenic-fonts - gfs-nicefore-fonts - gfs-olga-fonts - gfs-porson-fonts - gfs-solomos-fonts - gfs-theokritos-fonts - stix-fonts - yanone-kaffeesatz-fonts                                                                                                                                                           If you have any remaining questions about the new guidelines please ask them on fedora-fonts-list at redhat.com
Comment 1 Nicolas Mailhot 2008-12-20 19:57:29 EST
[Since the bot made a mess of the text here it is again in properly indented form.]

This bug has been filed because we've detected your package includes one or several font files:

repoquery -C --repoid=rawhide -f '*.ttf' -f '*.otf' -f '*.pfb' -f '*.pfa' --qf='%{SOURCERPM}\n' |sed -e 's+-[0-9.-]*\.fc[123456789]\(.*\)src.rpm++g'|sort|uniq

Unfortunately this script does not detect symlinks to other packages, so if that's your case, you can close this bug report now.

Otherwise, you should know that:

— Fedora guidelines demand the packaging of fonts in a separate package (or subpackage):
http://fedoraproject.org/wiki/Packaging/Guidelines#Avoid_bundling_of_fonts_in_other_packages

— our font packaging guidelines recently changed, and every package that ships fonts must be adapted to the new templates available in the fontpackages-devel package:
  – http://fedoraproject.org/wiki/PackagingDrafts/Fonts_packaging_automation_(2008-11-18)
  – http://fedoraproject.org/wiki/Fedora_fonts_policy_packagehttp://fedoraproject.org/wiki/Simple_fonts_spec_templatehttp://fedoraproject.org/wiki/Fonts_spec_template_for_multiple_fonts

Please make your package conform to the current guidelines in rawhide (you can use the fontpackages package in F9 or F10 to test, but only submit changes to rawhide please).

If your package is not principaly a font package, depending on a separate font package or subpackage is the prefered solution. If your application does not use fontconfig you can always package symlinks to the files provided by the font package and installed in the correct fontconfig directories.

It is preferred to create a font package or subpackage per font family, though it is not currently a hard guidelines requirement (it may become before Fedora 11 is released). The definition of a font family is given on:
http://fedoraproject.org/wiki/Fonts_spec_template_notes/font-family

The new templates should make the creation of font subpackages easy and safe.

The following packages have already been converted by their packager and can serve as examples:
❄ andika-fonts
❄ apanov-heuristica-fonts
❄ bitstream-vera-fonts
❄ charis-fonts
❄ dejavu-fonts
❄ ecolier-court-fonts
❄ edrip-fonts
❄ gfs-ambrosia-fonts
❄ gfs-artemisia-fonts
❄ gfs-baskerville-fonts
❄ gfs-bodoni-classic-fonts
❄ gfs-bodoni-fonts
❄ gfs-complutum-fonts
❄ gfs-didot-classic-fonts
❄ gfs-didot-fonts
❄ gfs-eustace-fonts
❄ gfs-fleischman-fonts
❄ gfs-garaldus-fonts
❄ gfs-gazis-fonts
❄ gfs-jackson-fonts
❄ gfs-neohellenic-fonts
❄ gfs-nicefore-fonts
❄ gfs-olga-fonts
❄ gfs-porson-fonts
❄ gfs-solomos-fonts
❄ gfs-theokritos-fonts
❄ stix-fonts
❄ yanone-kaffeesatz-fonts

If you have any remaining questions about the new guidelines please ask them on:
fedora-fonts-list at redhat.com
Comment 2 Nicolas Mailhot 2009-01-11 10:20:30 EST
To help packagers manage the transition to the new guidelines, we've published the following FAQ

http://fedoraproject.org/wiki/Shipping_fonts_in_other_packages_(FAQ)
Comment 3 Nicolas Mailhot 2009-01-14 13:38:11 EST
FPC approved those two additional guidelines recently, please take them into account if you need to create or update a fonts package or subpackage:

– 2009-01-14: naming
http://fedoraproject.org/wiki/PackagingDrafts/Font_package_naming_%282009-01-13%29

— 2009-01-06: exact splitting rules
http://fedoraproject.org/wiki/PackagingDrafts/Font_package_splitting_rules_%282008-12-21%29

(packagers that can drop font files and just depend on an existing font package are not impacted)
Comment 4 Nicolas Mailhot 2009-02-18 14:32:57 EST
This is a reminder for all the packagers that still have bugs open about adapting to font packaging guidelines there is only one month left before Fedora 11 beta:
http://fedoraproject.org/wiki/Releases/11/Schedule

A week of this month will see the Fedora 11 mass rebuild, that will load the build farm:
http://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

As already converted packages showed it is quite possible to make mistakes during the conversion. Please make releng and QA happy and don't wait till the last minute to do your changes (avoid pre-beta panic). If possible start before the mass rebuild so we don't burn cycles on incorrect packages.

The PackageKit enhancements stated for Fedora 11 assume fonts and font-using packages are sane (basically respect packaging guidelines). It is quite possible that not-converted packages will interact with the F11 font autoinstall feature in "interesting" ways.
http://fedoraproject.org/wiki/Features/AutomaticFontInstallation

We don't want that

There is extensive documentation on the wiki and most of your questions have likely already been answered there. Please do read the FAQ before making more work for the support team by asking questions answered there.
http://fedoraproject.org/wiki/Shipping_fonts_in_Fedora_%28FAQ%29
Comment 5 Sven Lankes 2009-02-22 11:35:20 EST
Wow - this seems to be a rather large can of worms.

Some information that I was able to collect:

The current tuxpaint rpm ships 25 ttf-Files.

12 of those - namely /usr/share/tuxpaint/fonts/Free*.ttf

are part of the freefont-package. Freefont is in fedora but not yet converted to the new guidelines see bz #477336

/usr/share/tuxpaint/fonts/default_font.ttf is actually DejaVuSansCondensed which is packaged for fedora in the "dejavu-sans-fonts"-package.

ar.ttf is a font named ae_Nice from arabeyes.org - it doesn't seem to be packaged for fedora at the moment

bo.ttf is a font named Tsampa Keyboard - not packaged as far as I can see - seems to be tibetan

el.ttf is a font named Thryomanes - not packaged as far as I can see

gu.ttf - Lohit-Gujarati - Indian - packaged in lohit-gujarati-fonts.noarch

he.ttf - Nachlieli-Light - The font is available in fedora in culmus-nachlieli-clm-fonts but that is not a ttf-font but a type1-font. I am not sure if tuxpaint would work with that.

hi.ttf - Raghindi - not sure about this one - Raghindi seems to be a font family and not a specific font? Any locals?

ja.ttf - Sazanami-Gothic-Regular - packaged as sazanami-gothic-fonts

ka.ttf - TuxPaintGeorgian (c) Gia Shervashidze - most certainly not packaged

ta.ttf - TSCu_Comic - not packaged but serafettin-cartoons-fonts is packaged and has "It is based on Thukkaram Gopalrao's TSCu_Comic of tamillinux project" in it's description. That one might be sufficient.

te.ttf - Vemana2000 - not packaged

th.ttf - GarudaBold - packaged as thai-scalable-garuda-fonts

zh_tw.ttf - Traditional Chinese SubsetForTuxPaint - Tuxpaint ships ships a script called maketuxfont.py for this font.
Comment 6 Nicolas Mailhot 2009-02-22 13:09:06 EST
(In reply to comment #5)
> Wow - this seems to be a rather large can of worms.

Yes, we sort of pay our previous laxity. Lots of fonts that should have been packaged long ago (of course it'd be better if the app just used fontconfig as some of those have been replaced by better default since; this lists reads like Debian defaults a few years ago)

> ar.ttf is a font named ae_Nice from arabeyes.org - it doesn't seem to be
> packaged for fedora at the moment

Arabeyes is not packaged, and the OLPC people want it too
There are two open reviews but they're stalled and the original packager has not given any sign of life for a long time (bug #462711 and bug #461139)

> bo.ttf is a font named Tsampa Keyboard - not packaged as far as I can see -
> seems to be tibetan

LGPL font from http://tsampa.org/tibetan/software/tsamkey/
Could be packaged

> el.ttf is a font named Thryomanes - not packaged as far as I can see

It's in the wishlist
http://fedoraproject.org/wiki/Thryomanes_fonts

But it's not considered as good as the GFS fonts for example nowadays

> he.ttf - Nachlieli-Light - The font is available in fedora in
> culmus-nachlieli-clm-fonts but that is not a ttf-font but a type1-font. I am
> not sure if tuxpaint would work with that.

Try it?
Otherwise if the culmus project could just provide TTF or OTF versions of its fonts, we'd certainly prefer them over type1
 
> hi.ttf - Raghindi - not sure about this one - Raghindi seems to be a font
> family and not a specific font? Any locals?

http://www.yudit.org/download/fonts/raghu.txt

Not modifiable, can not be packaged

> ka.ttf - TuxPaintGeorgian (c) Gia Shervashidze - most certainly not packaged

Good luck finding which one of its fonts it is, this guy created a lot of them
http://cg.scs.carleton.ca/~luc/georgia.html they're all over the net usually without any clear licensing.

It would probably be best to try to contact the author and ask him to publish some fonts in a canonical place with all the legalities taken care of.

http://blog.mozilla.com/seth/2008/11/07/gia-shervashidze-our-gerogian-localizer/

Otherwise spot packaged bpg fonts recently in bug#483865 , and DejaVu Sans has Georgian support IIRC

> ta.ttf - TSCu_Comic - not packaged but serafettin-cartoons-fonts is packaged
> and has "It is based on Thukkaram Gopalrao's TSCu_Comic of tamillinux project"
> in it's description. That one might be sufficient.

Right

> te.ttf - Vemana2000 - not packaged

Being packaged in bug #481009 (waiting on packager action, probably not stalled yet)

> zh_tw.ttf - Traditional Chinese SubsetForTuxPaint - Tuxpaint ships ships a
> script called maketuxfont.py for this font.

Probably better to replace with whatever font is preferred for chinese nowadays (ask juhp)
Comment 7 Jon Ciesla 2009-03-24 14:22:35 EDT
gnu-free-fonts has replaced freefont in rawhide.
Comment 8 Jon Ciesla 2009-05-07 13:59:32 EDT
481009 looks stalled-ish.  Steven, have you begun work on this yet?
Comment 9 Bug Zapper 2009-06-09 06:26:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Jon Ciesla 2009-11-19 09:41:58 EST
I've submitted some updates, but done nothing on this.  Steven?
Comment 11 Bug Zapper 2010-04-27 08:36:15 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-07-30 06:34:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Paul Flo Williams 2012-07-29 07:20:38 EDT
Taking a look at tuxpaint-0.9.21-8.fc17.i686, which still ships all the above fonts.

I'll installed it and removed the entire directory /usr/share/tuxpaint/fonts, and tried running in several languages without any visible change in the program.

strace indicates that it is using Fontconfig for finding fonts. Is it possible that these fonts are no longer used, and could be removed from the package?
Comment 14 Fedora End Of Life 2012-08-16 12:53:07 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Sven Lankes 2012-08-16 16:26:17 EDT
Re-Opening (added FutureFeature to make sure it isn't closed again).

The issue ist still not fixed.
Comment 16 Jaroslav Reznik 2012-08-21 04:24:31 EDT
Please change version to current release (if not fixed there) or clone as suggested in EOL message. Thanks.
Comment 17 Fedora Admin XMLRPC Client 2014-11-10 10:38:56 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 18 Fedora Admin XMLRPC Client 2014-11-10 10:57:28 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 19 Jon Ciesla 2016-01-07 15:58:14 EST
Removed fonts, still works.